"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _Menu = _interopRequireDefault(require("react-native-simple-elements/components/Menu"));

var _ImageButton = _interopRequireDefault(require("react-native-simple-elements/components/ImageButton"));

var _Typography = require("react-native-simple-elements/components/Typography");

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const defaultProps = {
  circle: false
};

const AuthorizedUserMenu = props => {
  const {
    loggedInUser,
    circle
  } = props;
  const {
    firstName,
    avatarUrl
  } = loggedInUser || {};
  const [isOpen, setIsOpen] = React.useState(false);

  const openMenu = () => {
    setIsOpen(true);
  };

  const closeMenu = () => {
    setIsOpen(false);
  };

  return /*#__PURE__*/React.createElement(_Menu.default, {
    visible: isOpen,
    onDismiss: closeMenu,
    anchor: /*#__PURE__*/React.createElement(_ImageButton.default, {
      source: {
        uri: avatarUrl
      },
      circle: circle,
      onPress: openMenu
    })
  }, /*#__PURE__*/React.createElement(_reactNative.View, null, /*#__PURE__*/React.createElement(_Typography.Text, null, firstName || "")), /*#__PURE__*/React.createElement(_Menu.default.Item, {
    title: "Item 1"
  }), /*#__PURE__*/React.createElement(_Menu.default.Item, {
    title: "Item 2"
  }), (loggedInUser === null || loggedInUser === void 0 ? void 0 : loggedInUser.accessToken) && /*#__PURE__*/React.createElement(_Menu.default.Item, {
    title: "Item 3"
  }));
};

AuthorizedUserMenu.defaultProps = defaultProps;
var _default = AuthorizedUserMenu;
exports.default = _default;
//# sourceMappingURL=AuthorizedUserMenu.js.map