"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _DatePicker = _interopRequireDefault(require("./DatePicker"));

var _Modal = _interopRequireDefault(require("../Modal"));

var _dataSource = require("./utils/dataSource");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function EnhanceDatePicker({
  isOpen,
  ...props
}) {
  function onModalClose(event) {
    if (event.target === event.currentTarget) {
      props.onCancel();
    }
  }

  return /*#__PURE__*/React.createElement("div", {
    style: {
      display: isOpen ? "" : "none"
    },
    onClick: onModalClose,
    className: "datepicker-modal"
  }, /*#__PURE__*/React.createElement(_DatePicker.default, props));
}

function ModalDatePicker({
  isPopup,
  ...props
}) {
  if (!isPopup) {
    return /*#__PURE__*/React.createElement(_DatePicker.default, props);
  }

  return /*#__PURE__*/React.createElement(_Modal.default, props, /*#__PURE__*/React.createElement(EnhanceDatePicker, null));
}

ModalDatePicker.displayName = "MobileDatePicker";
ModalDatePicker.defaultProps = _dataSource.defaultProps;
var _default = ModalDatePicker;
exports.default = _default;
//# sourceMappingURL=index.js.map