"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _NativePicker = _interopRequireDefault(require("./NativePicker"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const Item = _NativePicker.default.Item;

class Picker extends React.Component {
  static Item() {// do something
  }

  getValue() {
    if ("selectedValue" in this.props) {
      return this.props.selectedValue;
    }

    const children = React.Children.toArray(this.props.children);
    return children && children[0] && children[0].props.value;
  }

  shouldComponentUpdate(nextProps) {
    return this.props.selectedValue !== nextProps.selectedValue || this.props.children !== nextProps.children;
  }

  render() {
    const children = React.Children.map(this.props.children, c => {
      return /*#__PURE__*/React.createElement(Item, {
        label: c.props.children + "",
        value: c.props.value + "",
        key: c.key
      });
    });
    return /*#__PURE__*/React.createElement(_NativePicker.default, this.props, children);
  }

}

_defineProperty(Picker, "defaultProps", {
  children: []
});

var _default = Picker;
exports.default = _default;
//# sourceMappingURL=Picker.native.js.map