export var __esModule: boolean;
export namespace cancelButtonStyles {
    export namespace button {
        export { BORDER_RADIUS as borderRadius };
        export const height: number;
        export const marginBottom: number;
        export const justifyContent: "center";
    }
    export namespace buttonLight {
        export { BACKGROUND_COLOR_LIGHT as backgroundColor };
    }
    export namespace buttonDark {
        export { BACKGROUND_COLOR_DARK as backgroundColor };
    }
    export namespace text {
        export const padding: number;
        export const textAlign: "center";
        export { BUTTON_FONT_COLOR as color };
        export { BUTTON_FONT_SIZE as fontSize };
        export const fontWeight: "600";
        export const backgroundColor: string;
    }
}
export function CancelButton({ isDarkModeEnabled, onPress, label, style }: {
    isDarkModeEnabled: any;
    onPress: any;
    label: any;
    style?: {
        button: {
            borderRadius: number;
            height: number;
            marginBottom: number;
            justifyContent: "center";
        };
        buttonLight: {
            backgroundColor: string;
        };
        buttonDark: {
            backgroundColor: string;
        };
        text: {
            padding: number;
            textAlign: "center";
            color: string;
            fontSize: number;
            fontWeight: "600";
            backgroundColor: string;
        };
    };
}): any;
export namespace confirmButtonStyles {
    export namespace button_1 {
        export const borderTopWidth: number;
        const backgroundColor_1: string;
        export { backgroundColor_1 as backgroundColor };
        const height_1: number;
        export { height_1 as height };
        const justifyContent_1: "center";
        export { justifyContent_1 as justifyContent };
    }
    export { button_1 as button };
    export namespace buttonLight_1 {
        export { BORDER_COLOR as borderColor };
    }
    export { buttonLight_1 as buttonLight };
    export namespace buttonDark_1 {
        export { BORDER_COLOR_DARK as borderColor };
    }
    export { buttonDark_1 as buttonDark };
    export namespace text_1 {
        const textAlign_1: "center";
        export { textAlign_1 as textAlign };
        export { BUTTON_FONT_COLOR as color };
        export { BUTTON_FONT_SIZE as fontSize };
        export { BUTTON_FONT_WEIGHT as fontWeight };
        const backgroundColor_2: string;
        export { backgroundColor_2 as backgroundColor };
    }
    export { text_1 as text };
}
export function ConfirmButton({ isDarkModeEnabled, onPress, label, style }: {
    isDarkModeEnabled: any;
    onPress: any;
    label: any;
    style?: {
        button: {
            borderTopWidth: number;
            backgroundColor: string;
            height: number;
            justifyContent: "center";
        };
        buttonLight: {
            borderColor: string;
        };
        buttonDark: {
            borderColor: string;
        };
        text: {
            textAlign: "center";
            color: string;
            fontSize: number;
            fontWeight: "normal";
            backgroundColor: string;
        };
    };
}): any;
export namespace headerStyles {
    export namespace root {
        export { BORDER_COLOR as borderBottomColor };
        export const borderBottomWidth: number;
        const padding_1: number;
        export { padding_1 as padding };
        const backgroundColor_3: string;
        export { backgroundColor_3 as backgroundColor };
    }
    export namespace text_2 {
        const textAlign_2: "center";
        export { textAlign_2 as textAlign };
        export { TITLE_COLOR as color };
        export { TITLE_FONT_SIZE as fontSize };
    }
    export { text_2 as text };
}
export function Header({ label, style }: {
    label: any;
    style?: {
        root: {
            borderBottomColor: string;
            borderBottomWidth: number;
            padding: number;
            backgroundColor: string;
        };
        text: {
            textAlign: "center";
            color: string;
            fontSize: number;
        };
    };
}): any;
export var DateTimePickerModal: typeof DateTimePickerModal;
export var TITLE_COLOR: string;
export var TITLE_FONT_SIZE: number;
export var HIGHLIGHT_COLOR_LIGHT: string;
export var HIGHLIGHT_COLOR_DARK: string;
export var BUTTON_FONT_SIZE: number;
export var BUTTON_FONT_COLOR: string;
export var BUTTON_FONT_WEIGHT: string;
export var BORDER_RADIUS: number;
export var BORDER_COLOR_DARK: string;
export var BORDER_COLOR: string;
export var BACKGROUND_COLOR_DARK: string;
export var BACKGROUND_COLOR_LIGHT: string;
declare const BORDER_RADIUS: 13;
declare const BACKGROUND_COLOR_LIGHT: "white";
declare const BACKGROUND_COLOR_DARK: "#0E0E0E";
declare const BUTTON_FONT_COLOR: "#007ff9";
declare const BUTTON_FONT_SIZE: 20;
declare const BORDER_COLOR: "#d5d5d5";
declare const BORDER_COLOR_DARK: "#272729";
declare const BUTTON_FONT_WEIGHT: "normal";
declare const TITLE_COLOR: "#8f8f8f";
declare const TITLE_FONT_SIZE: 20;
declare const DateTimePickerModal_base: any;
declare class DateTimePickerModal extends DateTimePickerModal_base {
    [x: string]: any;
    static getDerivedStateFromProps(props: any, state: any): {
        currentDate: any;
        isPickerVisible: boolean;
    };
    constructor(...args: any[]);
    didPressConfirm: boolean;
    render(): any;
}
export {};
