import * as React from "react";
declare type Props = {
    theme?: string;
    value?: Date;
    min?: Date;
    max?: Date;
    customHeader?: React.ReactElement;
    showHeader?: boolean;
    showFooter?: boolean;
    showCaption?: boolean;
    dateConfig?: Record<string, any>;
    headerFormat?: string;
    confirmText?: string;
    cancelText?: string;
    onChange?: (value: any) => void;
    onSelect?: (value: any) => void;
    onCancel?: () => void;
    mode?: string;
};
declare type State = {
    value?: Date;
};
declare class DatePicker extends React.Component<Props, State> {
    state: State;
    constructor(props: any);
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    /**
     * When you swipe two datepickeritems at the same time.
     * Prevent dates from going out.
     */
    componentDidUpdate(): void;
    /**
     * Optimization component, Prevents unnecessary rendering
     * Only props or state change or value before re-rendering
     *
     * @param  {Object} nextProps next props
     * @param  {Object} nextState next state
     * @return {Boolean}          Whether re-rendering
     */
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    /**
     * Click the Finish button event
     * @return {undefined}
     */
    handleFinishBtnClick(): void;
    /**
     * Select next date
     * @return {undefined}
     */
    handleDateSelect(value: any): void;
    /**
     * Format dateConfig
     * @param {*} dataConfig dateConfig attribute
     */
    normalizeDateConfig(dataConfig: any): any[];
    checkMode(modeName: any): any;
    checkHeaderFormat(modeName: any): any;
    /**
     * render function
     * @return {Object} JSX object
     */
    render(): JSX.Element;
}
export default DatePicker;
